> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a deployment by GVC, workload and name

> Fetch a specific deployment of a workload



## OpenAPI

````yaml get /org/{org}/gvc/{gvc}/workload/{workload}/deployment/{name}
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{org}/gvc/{gvc}/workload/{workload}/deployment/{name}:
    get:
      tags:
        - workload
        - deployment
      summary: Get
      description: Fetch a specific deployment of a workload
      parameters:
        - in: path
          name: org
          required: true
          schema:
            type: string
        - in: path
          name: gvc
          required: true
          schema:
            type: string
        - in: path
          name: workload
          required: true
          schema:
            type: string
        - in: path
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/deployment'
        '403':
          description: Not found or not allowed to view
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    deployment:
      type: object
      properties:
        name:
          type: string
          maxLength: 64
        kind:
          type: string
          readOnly: true
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
          readOnly: true
        lastModified:
          type: string
          format: date-time
        status:
          $ref: '#/components/schemas/deployment_status'
          readOnly: true
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
    deployment_status:
      type: object
      properties:
        endpoint:
          type: string
        remote:
          type: string
        lastProcessedVersion:
          type: integer
        expectedDeploymentVersion:
          type: integer
        internal:
          type: object
        ready:
          type: boolean
        deploying:
          type: boolean
        versions:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              created:
                type: string
                format: date-time
              workload:
                type: number
              gvc:
                type: number
              containers:
                type: object
              ready:
                type: boolean
              message:
                type: string
              zone:
                type: string
              desiredScale:
                type: integer
            additionalProperties: false
        jobExecutions:
          type: array
          items:
            type: object
            properties:
              workloadVersion:
                type: number
                description: The version of the workload used during this job execution
              status:
                type: string
                enum:
                  - successful
                  - failed
                  - active
                  - pending
                  - invalid
                  - removed
                  - ''
                default: pending
                description: The result of the job execution.
              startTime:
                type: string
                format: date-time
                description: >-
                  The time the job execution was first moved from pending to
                  active. If the job execution was never pending, this is
                  equivalent to the creation time of the job execution.
              completionTime:
                type: string
                format: date-time
                description: >-
                  The time the job execution finished. This should not be
                  interpreted as an indication of success. Please refer to the
                  status field instead.
              conditions:
                type: array
                items:
                  type: object
                  properties:
                    status:
                      type: string
                      default: Unknown
                    type:
                      type: string
                    lastDetectionTime:
                      type: string
                      format: date-time
                      description: >-
                        The last time this condition was detected by Control
                        Plane.
                    lastTransitionTime:
                      type: string
                      format: date-time
                      description: >-
                        The last time this condition transitioned between
                        states.
                    message:
                      type: string
                    reason:
                      type: string
                      description: >-
                        A concise explanation of the most recent state
                        transition.
                  additionalProperties: false
              name:
                type: string
                description: The name of the Job objects in kubernetes
              replica:
                type: string
              containers:
                type: object
              message:
                type: string
                description: >-
                  Free-form diagnostic text aggregated from k8s pod events for
                  this execution; semicolon-separated.
            additionalProperties: false
        message:
          type: string
        desiredScale:
          type: integer
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````